petsc-3.4.2 2013-07-02

# PCBDDCSetLocalAdjacencyGraph

Set CSR graph of local matrix for use of PCBDDC.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetLocalAdjacencyGraph(PC pc,PetscInt nvtxs,const PetscInt xadj[],const PetscInt adjncy[], PetscCopyMode copymode)

Not collective

### Input Parameters

| pc | - the preconditioning context
| nvtxs | - number of local vertices of the graph

xadj, adjncy -the CSR graph
copymode -either PETSC_COPY_VALUES or PETSC_OWN_POINTER. In the former case the user must free the array passed in; in the latter case, memory must be obtained with PetscMalloc.

### Notes

### See Also

PCBDDC

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages